package com.zh.project0512.controller.wxApp;

import com.zh.project0512.model.dto.AppMessageListDTO;
import com.zh.project0512.model.vo.AppMessageListVo;
import com.zh.project0512.service.IAppMessageService;
import com.zh.project0512.utils.JwtUtil;
import com.zh.project0512.utils.result.ResultPageInfo;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  app消息
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@RestController
@RequestMapping("/wxApp/userMessage")
@Tag(name = "用户消息")
public class AppMessageController {
    @Resource
    IAppMessageService appMessageService;


    /**
     * 查询所有的app消息
     * @param appMessageListDTO app消息 list DTO
     * @return 所有的app消息
     */
    @GetMapping("/list")
    public ResultPageInfo<AppMessageListVo> list(AppMessageListDTO appMessageListDTO,@RequestHeader(value = "token") @Parameter(name = "登录token") String token){
        String openid = new JwtUtil().parseOpenid(token);
        return ResultPageInfo.success(appMessageService.list(appMessageListDTO,openid),"请求成功");
    }

}
