package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * app消息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("appMessage")
public class AppMessage implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;
    /**
     * 消息类型
     */
    @TableField("type")
    private Integer type;
    /**
     * 标题
     */
    @TableField("title")
    private String title;
    /**
     * 描述
     */
    @TableField("describe")
    private String describe;
    /**
     * url
     */
    @TableField("url")
    private String url;
    /**
     * 发送人openid
     */
    @TableField("sendId")
    private String sendOpenId;
    /**
     * 接收人openid
     */
    @TableField("receiverId")
    private String receiverOpenId;
    /**
     * 创建时间
     */
    @TableField("createDate")
    private Date createDate;
    /**
     * 是否已读，1.已读，0.未读
     */
    @TableField("reads")
    private Integer reads;
}
