package com.zh.project0512.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户积分记录 list Vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserPointsRecordListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键Id
     */
    @Schema(title = "主键Id")
    private Integer id;
    /**
     * 类型，1.任务奖励，2.素材分享奖励，3.线下结算扣除
     */
    @Schema(title = "类型",description = "1.任务奖励，2.素材分享奖励，3.线下结算扣除")
    private Integer type;
    /**
     * 结算方式，1.增加，2.扣除
     */
    @Schema(title = "结算方式",description = "1.增加，2.扣除")
    private Integer settlementMethod;
    /**
     * 积分
     */
    @Schema(title = "积分")
    private Integer points;
    /**
     * 创建日期
     */
    @Schema(title = "创建日期")
    private Date createDate;
}
