package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zh.project0512.mapper.AppMessageMapper;
import com.zh.project0512.model.AdminRole;
import com.zh.project0512.model.AppMessage;
import com.zh.project0512.model.dto.AppMessageListDTO;
import com.zh.project0512.model.vo.AdminRoleListVo;
import com.zh.project0512.model.vo.AppMessageListVo;
import com.zh.project0512.service.IAppMessageService;
import com.zh.project0512.utils.PropertyUtils;
import com.zh.project0512.utils.page.PageInfo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class AppMessageServiceImpl implements IAppMessageService {
    @Resource
    AppMessageMapper appMessageMapper;

    @Override
    public PageInfo<AppMessageListVo> list(AppMessageListDTO appMessageListDTO, String openid) {
        ArrayList<AppMessageListVo> appMessageListVos = new ArrayList<>();
        QueryWrapper<AppMessage> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(appMessageListDTO.getType() != null,"type", appMessageListDTO.getType()).eq("receiver_open_id",openid);


        Page<AppMessage> page = new Page<>(appMessageListDTO.getPageNum(), appMessageListDTO.getPageSize());
        IPage<AppMessage> appMessageIPage = appMessageMapper.selectPage(page, queryWrapper);
        List<AppMessage> records = appMessageIPage.getRecords();
        if (records != null && records.size()>0){
            for (AppMessage record : records) {
                AppMessageListVo appMessageListVo = new AppMessageListVo();
                PropertyUtils.copyProperties(record, appMessageListVo);
                appMessageListVos.add(appMessageListVo);
            }
        }

        return new PageInfo<>(appMessageIPage.getPages(), appMessageListVos, appMessageIPage.getTotal());
    }
}
