package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zh.project0512.mapper.UserMapper;
import com.zh.project0512.mapper.UserPointsRecordMapper;
import com.zh.project0512.model.User;
import com.zh.project0512.model.UserPointsRecords;
import com.zh.project0512.model.dto.UserPointsRecordListDTO;
import com.zh.project0512.model.vo.UserPointsRecordListVo;
import com.zh.project0512.model.vo.UserPointsVo;
import com.zh.project0512.service.IUserPointsRecordsService;
import com.zh.project0512.utils.PropertyUtils;
import com.zh.project0512.utils.page.PageInfo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class UserPointsRecordServiceImpl implements IUserPointsRecordsService {
    @Resource
    UserPointsRecordMapper userPointsRecordMapper;
    @Resource
    UserMapper userMapper;


    @Override
    public UserPointsVo pointsDetail(String openid) {
        QueryWrapper<User> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("openid",openid);
        User user = userMapper.selectOne(queryWrapper);
        UserPointsVo userPointsVo = new UserPointsVo();
        userPointsVo.setPoints(user.getPoints());
        userPointsVo.setHistoryPoints(user.getHistoryPoints());
        return userPointsVo;
    }

    @Override
    public PageInfo<UserPointsRecordListVo> list(UserPointsRecordListDTO userPointsRecordListDTO, String openid) {
        ArrayList<UserPointsRecordListVo> userPointsRecordListVos = new ArrayList<>();
        QueryWrapper<UserPointsRecords> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(userPointsRecordListDTO.getYears() != null,"YEAR(createDate)",userPointsRecordListDTO.getYears());
        queryWrapper.eq(userPointsRecordListDTO.getMonths() != null,"MONTH(createDate)",userPointsRecordListDTO.getMonths());
        Page<UserPointsRecords> page = new Page<>(userPointsRecordListDTO.getPageNum(), userPointsRecordListDTO.getPageSize());
        IPage<UserPointsRecords> userPointsRecordsIPage = userPointsRecordMapper.selectPage(page, queryWrapper);
        List<UserPointsRecords> records = userPointsRecordsIPage.getRecords();
        if (records != null && records.size()>0){
            for (UserPointsRecords record : records) {
                UserPointsRecordListVo userPointsRecordListVo = new UserPointsRecordListVo();
                PropertyUtils.copyProperties(record,userPointsRecordListVo);
                userPointsRecordListVos.add(userPointsRecordListVo);
            }
        }
        return new PageInfo<>(userPointsRecordsIPage.getPages(), userPointsRecordListVos, userPointsRecordsIPage.getTotal());
    }
}
